<!-- <app-experiment-sub-toolbar></app-experiment-sub-toolbar> -->
<mat-toolbar class="exd-title">
    <span style="margin-left: 15px;"><h1 class="mat-h1">Instance Details</h1></span>
</mat-toolbar>
<br/>
<div class="exd-container">
    <div fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="   margin-left: 10%;
    margin-right: 10%;
    width: 90%">
    <table mat-table class="full-width-table exd-table" matSort aria-label="Elements">
        <!-- KEY Column -->
        <ng-container matColumnDef="key">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Field</th>
            <td mat-cell *matCellDef="let row"><b>{{row.key}}</b></td>
        </ng-container>

        <!-- ExpD Column -->
        <ng-container matColumnDef="value">
            <th mat-header-cell *matHeaderCellDef>Value</th>
            <td mat-cell *matCellDef="let row">
                <ng-container *ngIf="row.key == 'Infrastructure Monitoring Url' || row.key == 'Service Monitoring Url' || row.key == 'Network Monitoring Url'">
                    <tr><td><a href="{{row.value}}" target="_blank">{{row.value}}</a></td></tr>
                </ng-container>
                <ng-container *ngIf="!(row.key == 'Infrastructure Monitoring Url' || row.key == 'Service Monitoring Url' || row.key == 'Network Monitoring Url')">
                    <tr><td>{{row.value}}</td></tr>
                </ng-container>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
    <div style="padding: 0 40px;">
        <label style="float: left;" for="blueprintFile" class="uploadBtn" (click)="openDialogs()">Create Experiment</label>
      </div>
     <!-- <div fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="width: 100%;margin-top: 2%;" *ngIf="showGrafana">
      <div class="main-iframe-container" > -->

        <!-- <div class="iframe-flex-container" *ngIf="targetSite == 'ANTWERP'">
            <div class="iframe-container" id="iframe1">
                <iframe *ngIf="displayIFrames" src="http://172.28.18.102:3000/d-solo/KQyHrje7z/vital-5g-centralized-monitoring-platform?orgId=1&from=1658205947356&to=1658227547356&panelId=4" width={{iframeW}} height={{iframeH}} frameborder="0"></iframe>
            </div>
            <div class="iframe-container" id="iframe2">
                <iframe *ngIf="displayIFrames" src="http://172.28.18.102:3000/d-solo/KQyHrje7z/vital-5g-centralized-monitoring-platform?orgId=1&from=1658207067141&to=1658228667141&panelId=2" width={{iframeW}} height={{iframeH}} frameborder="0"></iframe>
            </div>
        </div> -->
        
        <!-- displays iframe on VS Instance details if target site equals DANUBE -->
        <!-- <div class="iframe-flex-container">
            <div *ngIf="srciframe1 == ''">
                <div class="iframe-container" id="iframe3">
                    <iframe *ngIf="displayIFrames" [src]="" width={{iframeW}} height={{iframeH}} frameborder="0"></iframe>
                </div>
            </div>
            <div *ngIf="srciframe1 != ''">
                <div class="iframe-container" id="iframe3">
                    <iframe *ngIf="displayIFrames" [src]="cleanURL(srciframe1)" width={{iframeW}} height={{iframeH}} frameborder="0"></iframe>
                </div>
            </div>
            
            </div>
            <div class="iframe-flex-container">
                
                
                <div *ngIf="srciframe2 == ''">
                    <div class="iframe-container" id="iframe4">
                        <iframe *ngIf="displayIFrames" [src]="" width={{iframeW}} height={{iframeH}} frameborder="0"></iframe>
                    </div>
                </div>
                <div *ngIf="srciframe2 != ''">
                    <div class="iframe-container" id="iframe4">
                        <iframe *ngIf="displayIFrames" [src]="cleanURL(srciframe2)" width={{iframeW}} height={{iframeH}} frameborder="0"></iframe>
                    </div>
                </div>
            <div class="iframe-container" id="iframe4">
                <iframe *ngIf="displayIFrames" src="http://172.28.18.102:3000/d-solo/KQyHrje7z/vital-5g-centralized-monitoring-platform?orgId=1&from=1658207154724&to=1658228754725&panelId=8" width={{iframeW}} height={{iframeH}} frameborder="0"></iframe>
            </div> 
        </div>
        <div class="iframe-flex-container">
                
                
            <div *ngIf="srciframe3 == ''">
                <div class="iframe-container" id="iframe4">
                    <iframe *ngIf="displayIFrames" [src]="" width={{iframeW}} height={{iframeH}} frameborder="0"></iframe>
                </div>
            </div>
            <div *ngIf="srciframe3 != ''">
                <div class="iframe-container" id="iframe3">
                    <iframe *ngIf="displayIFrames" [src]="cleanURL(srciframe3)" width={{iframeW}} height={{iframeH}} frameborder="0"></iframe>
                </div>
            </div>
        
    </div> -->
    
    <!-- </div>
    </div>  -->
    
    <!-- <div fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="width: 100%;margin-top: 2%;">
    <table mat-table [dataSource]="executions" class="full-width-table exd-table">
        <h3>Executions</h3>

        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef> Execution </th>
          <td mat-cell *matCellDef="let element"> {{element.executionName}} </td>
        </ng-container>

                <ng-container matColumnDef="id">
                  <th mat-header-cell *matHeaderCellDef> Id </th>
                  <td mat-cell *matCellDef="let element">  {{element.executionId}} </td>
                </ng-container>

        <ng-container matColumnDef="state">
            <th fxHide.xs mat-header-cell *matHeaderCellDef> State </th>
            <td fxHide.xs mat-cell *matCellDef="let element"> {{element.state}} </td>
        </ng-container>

        <ng-container matColumnDef="reportUrl" style="background: transparent; padding-left: 30px;">
          <th fxHide.xs mat-header-cell *matHeaderCellDef> Report </th>
          <td fxHide.xs mat-cell *matCellDef="let element">
            <mat-button-toggle-group name="operations" aria-label="Operations" class="margin-all">
              <mat-button-toggle *ngIf="element.state !== 'FAILED'" value="results" (click)="openResultsDialog(element.reportUrl);" class="exd-table"><mat-icon>multiline_chart</mat-icon></mat-button-toggle>
            </mat-button-toggle-group>
          </td>
        </ng-container>

        <ng-container matColumnDef="tcr">
            <th fxHide.xs mat-header-cell *matHeaderCellDef> Test Case Results </th>
            <td fxHide.xs mat-cell *matCellDef="let element">
                <mat-chip-list class="mat-chip-list-stacked" aria-orientation="vertical" *ngFor="let tc of element.testCaseResult | keyvalue">
                    <mat-chip style="background-color: green;" *ngIf="tc.value.resultCode == 'SUCCESSFUL'">Test Case {{tc.value.testCaseName}}</mat-chip>
                    <mat-chip style="background-color: red;" *ngIf="tc.value.resultCode == 'FAILED'">Test Case {{tc.value.testCaseName}}</mat-chip>
                </mat-chip-list>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="executionsColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: executionsColumns;"></tr>
    </table>
    </div> -->
</div>
</div>
